# $Revision: 1.12 $, $Date: 2009/09/18 08:25:21 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network!)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	FTP-Common
Summary:	Net::FTP::Common - simplify common usages of Net::FTP
Summary(pl.UTF-8):	Net::FTP::Common - uproszczenie popularnych sposobów użycia Net::FTP
Name:		perl-Net-FTP-Common
Version:	7.0.d
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	15b1b719b5ac26a0122775c2e68c7d5c
%{?with_tests:BuildRequires:	perl(Net::FTP) >= 1}
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# for Net::FTP and directory
Requires:	perl-libnet
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is intended to make the common uses of Net::FTP a
one-line, no-argument affair. In other words, you have 100%
programming with Net::FTP. With Net::FTP::Common you will have 95%
configuration and 5% programming.

%description -l pl.UTF-8
Ten moduł ma uczynić popularne sposoby użycia Net::FTP
jednolinijkowymi wywołaniami bez argumentów. Innymi słowy, przy użyciu
Net::FTP mamy 100% programowania. Przy użyciu Net::FTP::Common mamy
95% konfiguracji i 5% programowania.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a samples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorlib}/TestConfig.pm
%{perl_vendorlib}/%{pdir}/FTP/Common.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-FTP-Common.spec,v $
Revision 1.12  2009/09/18 08:25:21  amateja
- updated to 7.0.d

Revision 1.11  2008/07/27 22:44:13  arekm
- release 2

Revision 1.10  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.8  2005/01/03 12:06:52  adamg
- updated to 5.2b

Revision 1.7  2004/11/11 13:16:54  paladine
- updated to 5.2a

Revision 1.6  2004/11/03 22:30:36  paladine
- formatting

Revision 1.5  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.4  2004/04/26 23:02:37  ankry
- license fixes and unification

Revision 1.3  2004/04/17 15:35:51  adamg
- updated to 5.0

Revision 1.2  2004/01/24 23:26:36  arekm
- autoupdated to 4.0a

Revision 1.1  2003/12/17 15:01:27  qboosh
- new

